\name{generate_geno_df}
\alias{generate_geno_df}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
	Generates a data frame with genotypes
}
\description{
	Generates a data frame with genotypes from phased SNP genotypes. The function supports
	three formats: VCF (currently not supported on Windows systems), Beagle and simplified 
	VCF.
}
\usage{
generate_geno_df(infile = "", file_format = "s")
}

\arguments{
  \item{infile}{
	Name of the file containing the genotype information 
}
  \item{file_format}{
	Character. One out of "s" for simplified VCF, "v" for VCF or "b" for Beagle format.
}
}
\details{
	If the function is applied to a VCF file, a simplified version will be created, 
	and can be used for subsequent analyses. 
}
\value{
	\item{geno}{A data frame containing all genotypes and SNP positions.}
	\item{sample_list}{List of haplotype identifiers.}
}

\author{
%%  ~~who you are~~
	Mats E. Pettersson (mats.pettersson@imbim.uu.se)
}
