\name{construct_window_annotation}
\alias{construct_window_annotation}

\title{
	 Jumping window annotation constuctor
}
\description{
	Creates a data frame with the location of each window to be analysed
}
\usage{
construct_window_annotation(geno, interval = 1e+05)
}

\arguments{
  \item{geno}{
	A data frame containing all SNPs and genotypes, typically created by 
	\code{\link{generate_geno_df}}.
}
  \item{interval}{
	An integer giving the window size.
}
}
\value{
	A data frame containing the window annotation information.
}
\author{
%%  ~~who you are~~
	Mats E. Pettersson (mats.pettersson@imbim.uu.se)
}
\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
	\code{\link{generate_geno_df}}
}
